Bug 59787 - NEHotspotConfiguration and NEHotspotConfigurationManager not bound.
Summary: NEHotspotConfiguration and NEHotspotConfigurationManager not bound.
Status: RESOLVED FIXED
Alias: None
Product: iOS
Classification: Xamarin
Component: Xamarin.iOS.dll (show other bugs)
Version: XI 11.0 (xcode9)
Hardware: PC Windows
: Normal enhancement
Target Milestone: Xcode9.1
Assignee: Bugzilla
URL:
Depends on:
Blocks:
 
Reported: 2017-09-27 14:06 UTC by markreimer94
Modified: 2017-11-08 16:41 UTC (History)
5 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
RESOLVED FIXED

Description markreimer94 2017-09-27 14:06:57 UTC
The two classes are nowhere to be found in the namespace NetworkExtention and are also missing from the bindings.
https://github.com/xamarin/xamarin-macios/blob/master/src/networkextension.cs
Comment 1 John Miller [MSFT] 2017-09-27 14:33:11 UTC
Thanks for letting us know you need this! It's not currently bound yet along with some other APIs in iOS 11. 

Status of the bindings: https://github.com/xamarin/xamarin-macios/wiki/xcode9-Bindings-Status

I'll mark as an enhancement so we can track when it's included.
Comment 2 fernando 2017-10-03 22:46:04 UTC
Some news about NEHotspotConfigurationManager?
Comment 3 Kraig Spear 2017-10-10 18:43:38 UTC
I don't understand this.

Thanks for letting us know you need this?

Does or does not Xamarin support 100% of the frameworks?
Comment 4 John Miller [MSFT] 2017-10-10 19:20:44 UTC
Hi Kraig!

Sorry for the confusion. I meant "thanks for letting us know" so that we can help prioritize bindings. The team is working on bringing all the new APIs in iOS 11 to Xamarin.iOS as quickly as they can.
Comment 5 Kraig Spear 2017-10-10 19:33:48 UTC
Sorry for my tone. 

I just when a version of iOS was released with Xamarin that usually 100% of API's are covered.

This is the second roadblock in a week on not being able to do something that is critical in Xamarin that can be done in pure native.
Comment 7 fernando 2017-11-08 16:41:31 UTC
How can I use this version in visual studio for windows?